Jitsi installing error

hi. everybody.
I was trying to install meet.jitsi for video conference.
but, with apt update command, I am getting error continuously.
it is saying that "Type dev is not known in /etc/apt/sources.list.d/jitsi-stable.list/
though I tried several method, it is showing continuously fail.
if someone can help me, it is great.
I will expect your good reply.
thanks.

You probably wrote “dev https …” instead of “deb https …” in such file. It should be like this:

deb https://download.jitsi.org stable/

thanks for your reply.
I saw such post in internet too.
but, I wrote correctly as you mentioned.
so, about that, I am sure.
if it is not, is there other option that can solve it?
if possible, I will expect your reply.
thanks again.

I would check all lines in /etc/apt/sources.list and all lines
in all files in /etc/apt/sources.list.d.

Put a “#” at the beginning of all of them, one by one, until the problem disappears. When “apt-get update” does no longer give an error, the last line you commented out will be the offending line.

What is the output?

ls -alh /etc/apt/sources.list.d/
cat /etc/apt/sources.list

ls -alh /etc/apt/sources.list.d/
about this command is drwxr-xr-x 2 root root 4.0K Jun 12 03:19 .
drwxr-xr-x 7 root root 4.0K Jun 10 20:52 …

deb https://download.jitsi.org stable/
at beginning of this command, I put “#” symbol.
so, apt-get update is working.
but, we don’t need to comment it.
how we must solve it without “#”.
I will expect your good reply.
thanks.

hi.
everybody
thanks for your help.
I solved Type dev problem perfectly.
but, I got new last issue.
I am going to upload it.
I expect solution about it.
thanks.Screenshot_1

Apparently you have not upgraded in a while. Please try this first:

apt-get update
apt-get upgrade

thanks for your reply.
if I carry out these commands, problems will be fixed?
and I will repeat to install jitsi from start?
I will expect reply.
thanks.

Maybe.

That’s the idea, but only after fixing the first problem (namely, that you have not upgraded in a while).

1 Like

https://jitsi-meet-ssl-certificates.blogspot.com/

I solved about that problem.
but, i am getting one error finally.
if you can help this else, it is great.
I will upload it.
thanks again.Screenshot_2